/*
 * Copyright 2003 - 2009 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 5813 $
 * Last Changed:    $Date: 2010-11-06 14:44:06 -0500 (Sat, 06 Nov 2010) $
 * Last Changed By: $Author: jan.moxter $
 */

package org.efaps.ui.wicket.components;

import org.apache.wicket.behavior.IBehavior;

/**
 * Listener that will be executed on a file upload.
 *
 * @author Jan Moxter
 * @version $Id: IFileUploadListener.java 5813 2010-11-06 19:44:06Z jan.moxter $
 *
 */
public interface IFileUploadListener
    extends IBehavior
{

    /**
     * Method will be executed on submition .
     */
    void onSubmit();
}
